dbXML API

## org.dbxml.core.filer
Interface Filer

All Superinterfaces:
  org.dbxml.server.Configurable, DBObject, org.dbxml.server.Named

All Known Implementing Classes:
  BTreeFiler, HashFiler, MemFiler, FSFiler

public interface Filer
extends org.dbxml.server.Named, DBObject, org.dbxml.server.Configurable

Filer is the low-level file management interface for dbXML. A Filer object is implemented in order to provide a data source to the dbXML Collection class. Filers are developed to perform transparent storage and retrieval to and from heterogenous data sources (such as FTP, HTTP, RDBMS, etc...)

Method Summary
`boolean` `deleteRecord(Key key)` deleteRecord removes a Record from the Filer based on the specified Key.
`long` `getRecordCount()` getRecordCount returns the number of Records in the Filer.
`RecordSet` `getRecordSet()` getRecordSet returns a RecordSet object for the current Filer.
`Record` `readRecord(Key key)` readRecord returns a Record from the Filer based on the specified Key.
`void` `setCollection(Collection collection)` setCollection tells the Filer who its parent is.
`boolean` `writeRecord(Key key, Value value)` writeRecord writes a Value to the Filer based on the specified Key.

Methods inherited from interface org.dbxml.server.Named
`getName`

Methods inherited from interface org.dbxml.core.DBObject
`close, create, drop, exists, isOpened, open`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig, setConfig`

Method Detail

### setCollection

    public void setCollection(Collection collection)

  setCollection tells the Filer who its parent is.
  Parameters:
    `collection` - The owner Collection

### readRecord

    public Record readRecord(Key key)
                      throws DBException

  readRecord returns a Record from the Filer based on the specified Key.
  Parameters:
    `key` - The Record's Key
  Returns:
    The returned Record

### writeRecord

    public boolean writeRecord(Key key,
                               Value value)
                        throws DBException

  writeRecord writes a Value to the Filer based on the specified Key.
  Parameters:
    `key` - The Record's Key
    `value` - The Record's Value
  Returns:
    Whether or not the Record could be written

### deleteRecord

    public boolean deleteRecord(Key key)
                         throws DBException

  deleteRecord removes a Record from the Filer based on the specified Key.
  Parameters:
    `key` - The Record's Key
  Returns:
    Whether or not the Record was deleted

### getRecordCount

    public long getRecordCount()
                        throws DBException

  getRecordCount returns the number of Records in the Filer.
  Returns:
    The Record count

### getRecordSet

    public RecordSet getRecordSet()
                           throws DBException

  getRecordSet returns a RecordSet object for the current Filer.
  Returns:
    The Filer Enumerator

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved